complexType "SimpleCreditDefaultSwap"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, (referenceEntity | creditEntityReference), term?, paymentFrequency?
</...>

Content Model Elements (10):

  clearanceSystem, creditEntityReference, currency (defined in UnderlyingAsset complexType), definition, description (defined in IdentifiedAsset complexType), | exchangeId (defined in UnderlyingAsset complexType), instrumentId (defined in IdentifiedAsset complexType), paymentFrequency (in simpleCreditDefaultSwap), referenceEntity (in simpleCreditDefaultSwap), term (in simpleCreditDefaultSwap)

All Direct / Indirect Based Elements (1):

  simpleCreditDefaultSwap

Known Usage Locations

- As direct type of elements (1):
  simpleCreditDefaultSwap

Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) SimpleCreditDefaultSwap

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="SimpleCreditDefaultSwap"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:group ref="CreditEntity.model"/> <xsd:element minOccurs="0" name="term" type="Period"/> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/10)
paymentFrequency

  Type: | Period, complex content

  Specifies the frequency at which the swap pays, e.g. 6M.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/>

term

  Type: | Period, complex content

  Specifies the term of the simple CD swap, e.g. 5Y.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="term" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.